
<!-- <ion-content> -->
  <!-- <div class="menuBar">
    <ul>
      <li>Home</li>
      <li>About</li>
      <li><ion-button color='light' (click)="logInForm()">Sign In</ion-button></li>
      <li><ion-button color='primary' (click)="signUpForm()">Join now</ion-button></li>
    </ul>
  </div> -->
<div class="entertainment">
  <div class="formCover" >
    <p class="title">Welcome to ProximaX DApps Admin Page </p> 
    <div class="loginSid">
      <ion-button [routerLink]="['/login-sid']" color="light" >Sign In With SiriusID</ion-button>
    </div>
    <!-- <div class="form">
      
      <div class="welcomeBank" *ngIf='start'>
         
        <!-- <div class="btnCreate">
          <ion-button (click)="logInForm()" color="light" >Sign In</ion-button>
        </div> -->

        <!-- <div class="btnVerify">
          <ion-button [routerLink]="['/login-sid']" color="light" >Sign In With SiriusID</ion-button>
        </div> -->

        <!-- <div class="btnVerify">
          <ion-button (click)="signUpForm()" color='dark'>Create Account</ion-button>
        </div>
      </div>
    </div> -->
    <div class="form" *ngIf = 'step0' >
      <div class="formContent">
        <h4>Fill your information to create an account.</h4>
        <fieldset>
          <legend>Email<ion-text color="danger"> * </ion-text></legend>
          <ion-input  type="text" #email required placeholder='Your@email.com' ></ion-input>
        </fieldset>
        <fieldset>
          <legend>Password<ion-text color="danger" > * </ion-text></legend>
          <ion-input  type="password" #password required placeholder="Your Password"></ion-input>
        </fieldset>
        <div class="buttonSignup">
          <ion-button type="submit" (click)="signUp(email, password)" expand="block">Register</ion-button>
        </div>
        <div class="question" (click)="logInForm()">
          <p>Have an account?<a  color='red'> Sign In</a></p>
        </div>
      </div> 
    </div>
    <div class="form" *ngIf="step1">
      <div class="formContent2">
        <h4>Register successfull!</h4>
        <h5> Check your email to verify this account.</h5>
        <p>Didn't you receive any email? <ion-button type='submit' (click)='authService.sendVerificationMail()' class="question"> Resend</ion-button></p>
        <div class="question" (click)="logInForm()">
          <p>Have an account?<a  color='red'> Sign In</a></p>
        </div>
      </div> 
    </div>


  <div class="form" *ngIf="step2">
    <div class="formContent">
      <h4>Fill your information to Sign In</h4>
      <fieldset>
        <legend>Email</legend>
        <ion-input type="text" #emailLogIn required type ='obligatory'></ion-input>
      </fieldset>
      <fieldset>
        <legend>Password</legend>
        <ion-input type="password" #passwordLogIn required></ion-input>
      </fieldset>
      <!-- <div *ngIf="warning2" style="color: red">
        <p>*Fill out the above to Sign In</p>
      </div> -->
      <div >
        <ion-button type="submit" (click)="logIn(emailLogIn,passwordLogIn)" expand="block">Login</ion-button>
      </div>
      
      <!-- <div *ngIf="warning3" style="color: red">
        <p> Your namespace or password is wrong, check your information!</p>
      </div> -->
      <!-- <div *ngIf="warning4" style="color: red">
        <p> 
          You enter the wrong information more than 3 times, 
          please wait after 5 hours to log in again
        </p>
      </div> -->
    
      <!-- <div class="question" (click)="restore()">
        <p><a >Forget your password? </a> <a class='login'>Recovery</a></p>
      </div> -->
      <!-- <div>
        <ion-button 
        type="submit" 
        color="danger"
        (click)="authService.GoogleAuth()" 
        expand="block">
          Login with Google
        </ion-button>
      </div> -->
      <div class="question" (click)="signUpForm()">
        <p>Don't have an account?<a  color='red'> Sign Up</a></p>
      </div>
    </div> 
  </div>
</div>
</div>
<!-- </ion-content> -->